ZMQ_CTX_SHUTDOWN(3)

NAME
zmq_ctx_shutdown - shutdown a 0MQ context

SYNOPSIS

int zmq_ctx_shutdown (void *context);

DESCRIPTION

The zmq_ctx_shutdown() function shall shutdown the 0MQ context context.

Context shutdown will cause any blocking operations currently in progress on sockets open within context to return immediately with an error code of ETERM. With the exception of zmq_close(), any further operations on sockets open within context shall fail with an error code of ETERM. No further sockets can be created using zmq_socket() on a context for which zmq_ctx_shutdown() has been called, it will return and set errno to ETERM.

This function is optional, client code is still required to call the zmq_ctx_term(3) function to free all resources allocated by zeromq.

RETURN VALUE

The zmq_ctx_shutdown() function shall return zero if successful. Otherwise it shall return -1 and set errno to one of the values defined below.

ERRORS

EFAULT
    The provided context was invalid.

SEE ALSO

zmq(7) zmq_init(3) zmq_ctx_term(3) zmq_close(3) zmq_setsockopt(3)

AUTHORS

This page was written by the 0MQ community. To make a change please read the 0MQ Contribution Policy at http://www.zeromq.org/docs:contributing.